            .386

; This assembles code compatible to Watcom 32 bit near model
; ----------------------------------------------------------
IFDEF WATCOM

  _TEXT    segment word public 'CODE'
  _TEXT    ends

  _DATA	segment word public 'DATA'
  _DATA	ends

  	DGROUP	GROUP  _DATA

  	assume cs:_TEXT, ds:DGROUP

  _TEXT	segment word public 'CODE'


  public __i_s_movmem286
  public __i_s_movmem386

  ;
  ; void _i_s_movmem286 ( void * src, void * dst, unsigned short count, unsigned short sizefactor )
  ; void _i_s_movmem386 ( void * src, void * dst, unsigned short count, unsigned short sizefactor )
  ;

  ; We know it will not be used under 286 machines, so we will not provide
  ; an assembly routine. Just define the symbol to link!
  __i_s_movmem286 proc near
              ret

  __i_s_movmem286 endp



  __i_s_movmem386 proc near

  	push	ebp
  	mov	    ebp, esp
  	push	esi

  	push	ecx
  	push	ds
  	push	es
  	push	edi

IFDEF WIN_NT
  	mov     esi, [ebp+8]	; src : source pointer
    push    ds
    pop     es
  	mov	    edi, [ebp+12]	; dst : destination pointer
  	movzx	ecx, word ptr [ebp+16]	; count
  	movzx	eax, word ptr [ebp+20]	; size
ELSE
  	lds	    esi, [ebp+8]	; src : source pointer
  	les	    edi, [ebp+16]	; dst : destination pointer
  	movzx	ecx, word ptr [ebp+24]	; count
  	movzx	eax, word ptr [ebp+28]	; size
ENDIF

  	; set direction flag
  	cld

  	or	    eax, eax
  	je	    short @3@394
  	cmp	    eax, 1
  	je	    short @3@390
  	cmp	    eax, 2
  	je	    short @3@386
  	jmp	    short @3@506
  @3@394:
  	rep	    movsb
  	jmp	    short @3@506

  @3@390:
  	rep	    movsw
  	jmp	    short @3@506

  @3@386:
  	rep	    movsd

  @3@506:

  	pop	    edi
  	pop	    es
  	pop	    ds
  	pop	    ecx

  	pop	    esi
  	pop	    ebp

  	ret

  __i_s_movmem386 endp


  _TEXT	ends


; Assemble for linkage to MSC large memory model code.
; ----------------------------------------------------
ELSE

  ISMOVMEM_TEXT      segment byte public 'CODE' USE16
  ISMOVMEM_TEXT      ends

  DGROUP      group  _DATA,_BSS
              assume cs:ISMOVMEM_TEXT,ds:DGROUP
  _DATA       segment word public 'DATA' USE16
  d@          label  byte
  d@w         label  word
  _DATA       ends
  _BSS        segment word public 'BSS' USE16
  b@          label  byte
  b@w         label  word
  _BSS        ends
  ISMOVMEM_TEXT      segment byte public 'CODE' USE16
  ;
  ;           void _i_s_movmem286 ( void * src, void * dst, unsigned short count, unsigned short sizefactor )
  ;           void _i_s_movmem386 ( void * src, void * dst, unsigned short count, unsigned short sizefactor )
  ;
              assume cs:ISMOVMEM_TEXT

  ;**************************

  IFDEF I_PASCAL     ; use pascal calling convention

  _I_S_MOVMEM286  proc   far

  ELSE

  __i_s_movmem286 proc   far

  ENDIF

              push   bp
              mov    bp,sp
              push   si

              push   cx
              push   ds
              push   di

  IFDEF I_PASCAL     ; use pascal calling convention

              lds    si,dword ptr [bp+14]         ; src : source pointer
              les    di,dword ptr [bp+10]         ; dst : destination pointer
              mov    cx,word ptr [bp+8]           ; count
              mov    ax,word ptr [bp+6]           ; size
  ELSE
              lds    si,dword ptr [bp+6]          ; src : source pointer
              les    di,dword ptr [bp+10]         ; dst : destination pointer
              mov    cx,word ptr [bp+14]          ; count
              mov    ax,word ptr [bp+16]          ; size
  ENDIF

  	; set direction flag
  	cld

              or     ax,ax
              je     short @2@294
              cmp    ax,1
              je     short @2@290
              cmp    ax,2
              je     short @2@386
              jmp    short @2@506
  @2@294:

              rep    movsb
              jmp    short @2@506
  @2@290:

              rep    movsw
              jmp    short @2@506
  @2@386:

              sal    cx, 1
              rep    movsw

  @2@506:

              pop    di
              pop    ds
              pop    cx

              pop    si
              pop    bp

  IFDEF I_PASCAL

              ret    12
  _I_S_MOVMEM286  endp

  ELSE

              ret
  __i_s_movmem286 endp

  ENDIF

  ;**************************

  IFDEF I_PASCAL     ; use pascal calling convention

  _I_S_MOVMEM386  proc   far

  ELSE

  __i_s_movmem386 proc   far

  ENDIF

              push   bp
              mov    bp,sp
              push   si

              push   cx
              push   ds
              push   di

  IFDEF I_PASCAL     ; use pascal calling convention

              lds    si,dword ptr ss:[bp+14]         ; src : source pointer
              les    di,dword ptr ss:[bp+10]         ; dst : destination pointer
              mov    cx,word ptr ss:[bp+8]           ; count
              mov    ax,word ptr ss:[bp+6]           ; size
  ELSE
              lds    si,dword ptr [bp+6]          ; src : source pointer
              les    di,dword ptr [bp+10]         ; dst : destination pointer
              mov    cx,word ptr [bp+14]          ; count
              mov    ax,word ptr [bp+16]          ; size
  ENDIF

  	; set direction flag
  	cld

              or     ax,ax
              je     short @3@394
              cmp    ax,1
              je     short @3@390
              cmp    ax,2
              je     short @3@386
              jmp    short @3@506
  @3@394:

              rep    movsb
              jmp    short @3@506
  @3@390:

              rep    movsw
              jmp    short @3@506
  @3@386:

              rep    movsd

  @3@506:

              pop    di
              pop    ds
              pop    cx

              pop    si
              pop    bp

  IFDEF I_PASCAL

              ret    12
  _I_S_MOVMEM386  endp

  ELSE

              ret
  __i_s_movmem386 endp

  ENDIF

  ;**************************

  ISMOVMEM_TEXT      ends

  _DATA       segment word public 'DATA'
  s@          label  byte
  _DATA       ends
  ISMOVMEM_TEXT      segment byte public 'CODE'
  ISMOVMEM_TEXT      ends

  IFDEF I_PASCAL
              public _I_S_MOVMEM286
              public _I_S_MOVMEM386
  ELSE
              public __i_s_movmem286
              public __i_s_movmem386
  ENDIF

; End of the "IFDEF WATCOM"
; -------------------------
ENDIF

            end
