#
# make file to build the IM-1280 C-binding libraries under Microsoft C 5.1
#
# library made : lib shell graphics library, large model, ls_l.lib

# Path for the destination libraries
LIBPATH = ..\..\library\msc

# Path for the sources
SRCPATH = ..\..\graphics\kr

# Path for the include files
INC = ..\..\include

# Path for object files
OBJ = ..\..\obj\msc\graphics\kr

# Librarie name
LIBNAME = ls_l

# C compiler
CC = cl

# C compiler flags
CFLAGS = -c -AL -Zp1 -G2 /W3 /I$(INC)

# librarian
LIB = lib

# librarian flags
LFLAGS =

# objects for the image graphics library
KROBJ1 = $(OBJ)\krgcdi.obj \
       	 $(OBJ)\krgcen.obj \
       	 $(OBJ)\krgcfr.obj \
       	 $(OBJ)\krgcmv.obj \
       	 $(OBJ)\krgcsda.obj \
       	 $(OBJ)\krgcsdm.obj \
       	 $(OBJ)\krhwcclr.obj \
       	 $(OBJ)\krhwcprs.obj \
       	 $(OBJ)\krhwcpss.obj \
       	 $(OBJ)\krhwcpxm.obj

KROBJ2 = $(OBJ)\krhwcpym.obj \
       	 $(OBJ)\krhwfbor.obj \
       	 $(OBJ)\krhwfclr.obj \
       	 $(OBJ)\krhwgcls.obj \
       	 $(OBJ)\krhwgpix.obj \
       	 $(OBJ)\krhwlclr.obj \
		 $(OBJ)\krhwrclr.obj \
       	 $(OBJ)\krhwrcls.obj \
       	 $(OBJ)\krhwsbco.obj \
       	 $(OBJ)\krhwsbop.obj

KROBJ3 = $(OBJ)\krhwscli.obj \
         $(OBJ)\krhwsclr.obj \
       	 $(OBJ)\krhwscls.obj \
       	 $(OBJ)\krhwsdir.obj \
       	 $(OBJ)\krhwsfco.obj \
       	 $(OBJ)\krhwsils.obj \
       	 $(OBJ)\krhwsmsk.obj \
       	 $(OBJ)\krhwspix.obj \
       	 $(OBJ)\krhwssco.obj \
       	 $(OBJ)\krhwssms.obj

KROBJ4 = $(OBJ)\krhwstde.obj \
         $(OBJ)\krhwsurf.obj \
       	 $(OBJ)\krhwszp.obj \
       	 $(OBJ)\krhwubps.obj \
       	 $(OBJ)\krhwufps.obj \
       	 $(OBJ)\krhwwbps.obj \
       	 $(OBJ)\krhwwfps.obj \
       	 $(OBJ)\kriossmo.obj \
       	 $(OBJ)\tfill.obj \
       	 $(OBJ)\tmove.obj

# make the image graphics library
$(LIBPATH)\$(LIBNAME).lib : $(KROBJ1) $(KROBJ2) $(KROBJ3) $(KROBJ4)

$(OBJ)\KRGCDI.obj   : $(SRCPATH)\KRGCDI.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRGCEN.obj   : $(SRCPATH)\KRGCEN.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRGCFR.obj   : $(SRCPATH)\KRGCFR.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRGCMV.obj   : $(SRCPATH)\KRGCMV.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRGCSDA.obj  : $(SRCPATH)\KRGCSDA.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRGCSDM.obj  : $(SRCPATH)\KRGCSDM.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWCCLR.obj : $(SRCPATH)\KRHWCCLR.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWCPRS.obj : $(SRCPATH)\KRHWCPRS.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWCPSS.obj : $(SRCPATH)\KRHWCPSS.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWCPXM.obj : $(SRCPATH)\KRHWCPXM.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWCPYM.obj : $(SRCPATH)\KRHWCPYM.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWFBOR.obj : $(SRCPATH)\KRHWFBOR.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWFCLR.obj : $(SRCPATH)\KRHWFCLR.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWGCLS.obj : $(SRCPATH)\KRHWGCLS.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWGPIX.obj : $(SRCPATH)\KRHWGPIX.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWLCLR.obj : $(SRCPATH)\KRHWLCLR.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWRCLR.obj : $(SRCPATH)\KRHWRCLR.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWRCLS.obj : $(SRCPATH)\KRHWRCLS.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWSBCO.obj : $(SRCPATH)\KRHWSBCO.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWSBOP.obj : $(SRCPATH)\KRHWSBOP.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWSCLI.obj : $(SRCPATH)\KRHWSCLI.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWSCLR.obj : $(SRCPATH)\KRHWSCLR.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWSCLS.obj : $(SRCPATH)\KRHWSCLS.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWSDIR.obj : $(SRCPATH)\KRHWSDIR.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWSFCO.obj : $(SRCPATH)\KRHWSFCO.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWSILS.obj : $(SRCPATH)\KRHWSILS.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWSMSK.obj : $(SRCPATH)\KRHWSMSK.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWSPIX.obj : $(SRCPATH)\KRHWSPIX.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWSSCO.obj : $(SRCPATH)\KRHWSSCO.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWSSMS.obj : $(SRCPATH)\KRHWSSMS.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWSTDE.obj : $(SRCPATH)\KRHWSTDE.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWSURF.obj : $(SRCPATH)\KRHWSURF.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWSZP.obj  : $(SRCPATH)\KRHWSZP.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWUBPS.obj : $(SRCPATH)\KRHWUBPS.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWUFPS.obj : $(SRCPATH)\KRHWUFPS.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWWBPS.obj : $(SRCPATH)\KRHWWBPS.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRHWWFPS.obj : $(SRCPATH)\KRHWWFPS.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\KRIOSSMO.obj : $(SRCPATH)\KRIOSSMO.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\TFILL.obj : $(SRCPATH)\TFILL.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\TMOVE.obj : $(SRCPATH)\TMOVE.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;


