#
# make file to build the IM-1280 C-binding libraries under Microsoft C 5.1
#
# library made : lib shell graphics library, large model, ls_l.lib

# Path for the destination libraries
LIBPATH = ..\..\library\msc

# Path for the sources
SRCPATH = ..\..\graphics\ls

# Path for the include files
INC = ..\..\include

# Path for object files
OBJ = ..\..\obj\msc\graphics\ls

# Librarie name
LIBNAME = ls_l

# C compiler
CC = cl

# C compiler flags
CFLAGS = -c -Zp1 -AL -G2 /W3 /I$(INC)

# librarian
LIB = lib

# librarian flags
LFLAGS =

# objects for the image graphics library
LSOBJ1 = $(OBJ)\lsbmarmk.obj \
       	 $(OBJ)\lscbm.obj \
       	 $(OBJ)\lsclappe.obj \
       	 $(OBJ)\lsclclos.obj \
       	 $(OBJ)\lscldel.obj \
       	 $(OBJ)\lsclexec.obj \
       	 $(OBJ)\lsclloop.obj \
       	 $(OBJ)\lsclmodi.obj \
       	 $(OBJ)\lsclopen.obj \
       	 $(OBJ)\lsclpos.obj

LSOBJ2 = $(OBJ)\lsclread.obj \
       	 $(OBJ)\lsclreal.obj \
       	 $(OBJ)\lsclsblk.obj \
       	 $(OBJ)\lscpbmms.obj \
       	 $(OBJ)\lscpbmsm.obj \
       	 $(OBJ)\lscpbmzm.obj \
       	 $(OBJ)\lsdapat.obj \
       	 $(OBJ)\lsdclpl.obj \
       	 $(OBJ)\lsdfont.obj \
       	 $(OBJ)\lsdgc.obj

LSOBJ3 = $(OBJ)\lsegaen.obj \
       	 $(OBJ)\lsegasw.obj \
       	 $(OBJ)\lsemulen.obj \
       	 $(OBJ)\lserror.obj \
       	 $(OBJ)\lsfbm.obj \
       	 $(OBJ)\lsinq.obj \
       	 $(OBJ)\lsinqgcp.obj \
       	 $(OBJ)\lsinqmem.obj \
       	 $(OBJ)\lsinqsys.obj \
       	 $(OBJ)\lslutbli.obj

LSOBJ4 = $(OBJ)\lslutfl.obj \
         $(OBJ)\lslutmd.obj \
       	 $(OBJ)\lslutpm.obj \
       	 $(OBJ)\lslutrd.obj \
       	 $(OBJ)\lslutrs.obj \
       	 $(OBJ)\lslutsbl.obj \
	 $(OBJ)\lslutsl.obj \
	 $(OBJ)\lslutsy.obj \
       	 $(OBJ)\lsnoop.obj \
       	 $(OBJ)\lspkdi.obj 

LSOBJ5 = $(OBJ)\lspken.obj \
         $(OBJ)\lspksidh.obj \
         $(OBJ)\lspksidl.obj \
       	 $(OBJ)\lsrapat.obj \
       	 $(OBJ)\lsrbm.obj \
       	 $(OBJ)\lsrclpl.obj \
       	 $(OBJ)\lsrdrst.obj \
       	 $(OBJ)\lsrfont.obj \
       	 $(OBJ)\lsrgc.obj \
       	 $(OBJ)\lsrlrdrs.obj 

LSOBJ6 = $(OBJ)\lsrlwrrs.obj \
       	 $(OBJ)\lssafapa.obj \
         $(OBJ)\lssbm.obj \
       	 $(OBJ)\lssclpl.obj \
       	 $(OBJ)\lssfont.obj \
       	 $(OBJ)\lssgc.obj \
       	 $(OBJ)\lsskip.obj \
       	 $(OBJ)\lsswlapa.obj \
       	 $(OBJ)\lsswpvar.obj \
       	 $(OBJ)\lsvsint.obj 

LSOBJ7 = $(OBJ)\lswait.obj \
       	 $(OBJ)\lswrrst.obj \

# make the LS library
$(LIBPATH)\$(LIBNAME).lib : $(LSOBJ1) $(LSOBJ2) $(LSOBJ3) $(LSOBJ4) $(LSOBJ5)\
				      $(LSOBJ6)	$(LSOBJ7)

$(OBJ)\LSBMARMK.obj : $(SRCPATH)\LSBMARMK.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSCBM.obj    : $(SRCPATH)\LSCBM.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSCLAPPE.obj : $(SRCPATH)\LSCLAPPE.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSCLCLOS.obj : $(SRCPATH)\LSCLCLOS.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSCLDEL.obj  : $(SRCPATH)\LSCLDEL.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSCLEXEC.obj : $(SRCPATH)\LSCLEXEC.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSCLLOOP.obj : $(SRCPATH)\LSCLLOOP.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSCLMODI.obj : $(SRCPATH)\LSCLMODI.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSCLOPEN.obj : $(SRCPATH)\LSCLOPEN.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSCLPOS.obj  : $(SRCPATH)\LSCLPOS.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSCLREAD.obj : $(SRCPATH)\LSCLREAD.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSCLREAL.obj : $(SRCPATH)\LSCLREAL.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSCLSBLK.obj : $(SRCPATH)\LSCLSBLK.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSCPBMMS.obj : $(SRCPATH)\LSCPBMMS.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSCPBMSM.obj : $(SRCPATH)\LSCPBMSM.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSCPBMZM.obj : $(SRCPATH)\LSCPBMZM.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSDAPAT.obj  : $(SRCPATH)\LSDAPAT.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSDCLPL.obj  : $(SRCPATH)\LSDCLPL.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSDFONT.obj  : $(SRCPATH)\LSDFONT.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSDGC.obj    : $(SRCPATH)\LSDGC.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSEGAEN.obj  : $(SRCPATH)\LSEGAEN.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSEGASW.obj  : $(SRCPATH)\LSEGASW.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSEMULEN.obj : $(SRCPATH)\LSEMULEN.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSERROR.obj  : $(SRCPATH)\LSERROR.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSFBM.obj    : $(SRCPATH)\LSFBM.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSINQ.obj    : $(SRCPATH)\LSINQ.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSINQGCP.obj : $(SRCPATH)\LSINQGCP.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSINQMEM.obj : $(SRCPATH)\LSINQMEM.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSINQSYS.obj : $(SRCPATH)\LSINQSYS.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSLUTBLI.obj : $(SRCPATH)\LSLUTBLI.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSLUTFL.obj : $(SRCPATH)\LSLUTFL.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSLUTMD.obj  : $(SRCPATH)\LSLUTMD.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSLUTPM.obj  : $(SRCPATH)\LSLUTPM.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSLUTRD.obj  : $(SRCPATH)\LSLUTRD.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSLUTRS.obj  : $(SRCPATH)\LSLUTRS.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSLUTSBL.obj : $(SRCPATH)\LSLUTSBL.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSLUTSL.obj  : $(SRCPATH)\LSLUTSL.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSLUTSY.obj  : $(SRCPATH)\LSLUTSY.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSNOOP.obj   : $(SRCPATH)\LSNOOP.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSPKDI.obj   : $(SRCPATH)\LSPKDI.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSPKEN.obj   : $(SRCPATH)\LSPKEN.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSPKSIDH.obj : $(SRCPATH)\LSPKSIDH.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSPKSIDL.obj : $(SRCPATH)\LSPKSIDL.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSRAPAT.obj  : $(SRCPATH)\LSRAPAT.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSRBM.obj    : $(SRCPATH)\LSRBM.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSRCLPL.obj  : $(SRCPATH)\LSRCLPL.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSRDRST.obj  : $(SRCPATH)\LSRDRST.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSRFONT.obj  : $(SRCPATH)\LSRFONT.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSRGC.obj    : $(SRCPATH)\LSRGC.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSRLRDRS.obj : $(SRCPATH)\LSRLRDRS.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSRLWRRS.obj : $(SRCPATH)\LSRLWRRS.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSSAFAPA.obj : $(SRCPATH)\LSSAFAPA.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSSBM.obj    : $(SRCPATH)\LSSBM.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSSCLPL.obj  : $(SRCPATH)\LSSCLPL.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSSFONT.obj  : $(SRCPATH)\LSSFONT.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSSGC.obj    : $(SRCPATH)\LSSGC.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSSKIP.obj   : $(SRCPATH)\LSSKIP.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSSWLAPA.obj : $(SRCPATH)\LSSWLAPA.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSSWPVAR.obj : $(SRCPATH)\LSSWPVAR.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSVSINT.obj  : $(SRCPATH)\LSVSINT.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSWAIT.obj   : $(SRCPATH)\LSWAIT.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\LSWRRST.obj  : $(SRCPATH)\LSWRRST.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

