#
# make file to build the IM-1280 C-binding libraries under Microsoft C 5.1
#
# library made : lib shell graphics library, large model, ls_l.lib

# Path for the destination libraries
LIBPATH = ..\..\library\msc

# Path for the sources
SRCPATH = ..\..\graphics\sc

# Path for the include files
INC = ..\..\include

# Path for object files
OBJ = ..\..\obj\msc\graphics\sc

# Librarie name
LIBNAME = ls_l

# C compiler
CC = cl

# C compiler flags
CFLAGS = -c -Zp1 -AL -G2 /W3 /I$(INC)

# librarian
LIB = lib

# librarian flags
LFLAGS =

# objects for the image graphics library
SCOBJ1 = $(OBJ)\scaraply.obj \
       	 $(OBJ)\scarbfil.obj \
       	 $(OBJ)\scarelli.obj \
       	 $(OBJ)\scarepie.obj \
       	 $(OBJ)\scareseg.obj \
       	 $(OBJ)\scarffil.obj \
       	 $(OBJ)\scarrect.obj \
       	 $(OBJ)\scarrrec.obj \
       	 $(OBJ)\scarspin.obj \
       	 $(OBJ)\scartri.obj

SCOBJ2 = $(OBJ)\scarwply.obj \
       	 $(OBJ)\scolearc.obj \
       	 $(OBJ)\scolelli.obj \
       	 $(OBJ)\scolepie.obj \
       	 $(OBJ)\scoleseg.obj \
       	 $(OBJ)\scolhpea.obj \
       	 $(OBJ)\scolhspl.obj \
       	 $(OBJ)\scollnto.obj \
       	 $(OBJ)\scolmvto.obj \
       	 $(OBJ)\scolplin.obj

SCOBJ3 = $(OBJ)\scolplyg.obj \
       	 $(OBJ)\scolrect.obj \
       	 $(OBJ)\scolrrec.obj \
       	 $(OBJ)\scolsesh.obj \
       	 $(OBJ)\scolsmod.obj \
       	 $(OBJ)\scolsw.obj \
       	 $(OBJ)\scsorg.obj \
       	 $(OBJ)\scsthinc.obj \
       	 $(OBJ)\sctxbstr.obj \
       	 $(OBJ)\sctxsali.obj

SCOBJ4 = $(OBJ)\sctxsbf.obj \
       	 $(OBJ)\sctxsblr.obj \
       	 $(OBJ)\sctxsbx.obj \
       	 $(OBJ)\sctxschr.obj \
       	 $(OBJ)\sctxsdmo.obj \
       	 $(OBJ)\sctxsim.obj \
       	 $(OBJ)\sctxsinc.obj \
       	 $(OBJ)\sctxslm.obj \
       	 $(OBJ)\sctxssf.obj \
       	 $(OBJ)\sctxssow.obj

SCOBJ5 = $(OBJ)\sctxssw.obj \
       	 $(OBJ)\sctxstri.obj \
       	 $(OBJ)\sctxsuw.obj \
       	 $(OBJ)\sctxswpw.obj

# make the image graphics library
$(LIBPATH)\$(LIBNAME).lib : $(SCOBJ1) $(SCOBJ2) $(SCOBJ3) $(SCOBJ4) $(SCOBJ5)

$(OBJ)\SCARAPLY.obj : $(SRCPATH)\SCARAPLY.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCARBFIL.obj : $(SRCPATH)\SCARBFIL.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCARELLI.obj : $(SRCPATH)\SCARELLI.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCAREPIE.obj : $(SRCPATH)\SCAREPIE.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCARESEG.obj : $(SRCPATH)\SCARESEG.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCARFFIL.obj : $(SRCPATH)\SCARFFIL.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCARRECT.obj : $(SRCPATH)\SCARRECT.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCARRREC.obj : $(SRCPATH)\SCARRREC.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCARSPIN.obj : $(SRCPATH)\SCARSPIN.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCARTRI.obj : $(SRCPATH)\SCARTRI.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCARWPLY.obj : $(SRCPATH)\SCARWPLY.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCOLEARC.obj : $(SRCPATH)\SCOLEARC.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCOLELLI.obj : $(SRCPATH)\SCOLELLI.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCOLEPIE.obj : $(SRCPATH)\SCOLEPIE.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCOLESEG.obj : $(SRCPATH)\SCOLESEG.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCOLHPEA.obj : $(SRCPATH)\SCOLHPEA.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCOLHSPL.obj : $(SRCPATH)\SCOLHSPL.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCOLLNTO.obj : $(SRCPATH)\SCOLLNTO.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCOLMVTO.obj : $(SRCPATH)\SCOLMVTO.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCOLPLIN.obj : $(SRCPATH)\SCOLPLIN.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCOLPLYG.obj : $(SRCPATH)\SCOLPLYG.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCOLRECT.obj : $(SRCPATH)\SCOLRECT.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCOLRREC.obj : $(SRCPATH)\SCOLRREC.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCOLSESH.obj : $(SRCPATH)\SCOLSESH.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCOLSMOD.obj : $(SRCPATH)\SCOLSMOD.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCOLSW.obj : $(SRCPATH)\SCOLSW.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCSORG.obj : $(SRCPATH)\SCSORG.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCSTHINC.obj : $(SRCPATH)\SCSTHINC.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCTXBSTR.obj : $(SRCPATH)\SCTXBSTR.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCTXSALI.obj : $(SRCPATH)\SCTXSALI.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCTXSBF.obj : $(SRCPATH)\SCTXSBF.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCTXSBLR.obj : $(SRCPATH)\SCTXSBLR.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCTXSBX.obj : $(SRCPATH)\SCTXSBX.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCTXSCHR.obj : $(SRCPATH)\SCTXSCHR.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCTXSDMO.obj : $(SRCPATH)\SCTXSDMO.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCTXSIM.obj : $(SRCPATH)\SCTXSIM.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCTXSINC.obj : $(SRCPATH)\SCTXSINC.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCTXSLM.obj : $(SRCPATH)\SCTXSLM.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCTXSSF.obj : $(SRCPATH)\SCTXSSF.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCTXSSOW.obj : $(SRCPATH)\SCTXSSOW.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCTXSSW.obj : $(SRCPATH)\SCTXSSW.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCTXSTRI.obj : $(SRCPATH)\SCTXSTRI.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCTXSUW.obj : $(SRCPATH)\SCTXSUW.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\SCTXSWPW.obj : $(SRCPATH)\SCTXSWPW.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

