#
# make file to build the IM-1280 C-binding libraries under Microsoft C 5.1
#
# library made : lib shell graphics library, large model, ls_l.lib

# Path for the destination libraries
LIBPATH = ..\..\library\msc

# Path for the sources
SRCPATH = ..\..\graphics\v2

# Path for the include files
INC = ..\..\include

# Path for object files
OBJ = ..\..\obj\msc\graphics\v2

# Librarie name
LIBNAME = ls_l

# C compiler
CC = cl

# C compiler flags
CFLAGS = -c -Zp1 -AL -G2 /W3 /I$(INC)

# librarian
LIB = lib

# librarian flags
LFLAGS =

# objects for the image graphics library
V2OBJ1 = $(OBJ)\v2araply.obj \
       	 $(OBJ)\v2ararpl.obj \
       	 $(OBJ)\v2arbfil.obj \
       	 $(OBJ)\v2arelli.obj \
       	 $(OBJ)\v2arepie.obj \
       	 $(OBJ)\v2areseg.obj \
       	 $(OBJ)\v2arffil.obj \
       	 $(OBJ)\v2arrect.obj \
       	 $(OBJ)\v2arrrec.obj \
       	 $(OBJ)\v2arwply.obj

V2OBJ2 = $(OBJ)\v2arwrpl.obj \
       	 $(OBJ)\v2gpmap.obj \
       	 $(OBJ)\v2gpmapx.obj \
       	 $(OBJ)\v2gpmapy.obj \
       	 $(OBJ)\v2gpsvwp.obj \
       	 $(OBJ)\v2gpswdw.obj \
       	 $(OBJ)\v2gpunmp.obj \
       	 $(OBJ)\v2olearc.obj \
       	 $(OBJ)\v2olelli.obj \
       	 $(OBJ)\v2olepie.obj

V2OBJ3 = $(OBJ)\v2oleseg.obj \
       	 $(OBJ)\v2olhpea.obj \
       	 $(OBJ)\v2ollnto.obj \
       	 $(OBJ)\v2olmvto.obj \
       	 $(OBJ)\v2olplin.obj \
       	 $(OBJ)\v2olplyg.obj \
       	 $(OBJ)\v2olpt.obj \
       	 $(OBJ)\v2olrect.obj \
       	 $(OBJ)\v2olrlnt.obj \
       	 $(OBJ)\v2olrmvt.obj

V2OBJ4 = $(OBJ)\v2olrpli.obj \
       	 $(OBJ)\v2olrply.obj \
       	 $(OBJ)\v2olrrec.obj \
       	 $(OBJ)\v2olsw.obj \
       	 $(OBJ)\v2txbstr.obj \
       	 $(OBJ)\v2txstri.obj

# make the image graphics library
$(LIBPATH)\$(LIBNAME).lib : $(V2OBJ1) $(V2OBJ2) $(V2OBJ3) $(V2OBJ4)

$(OBJ)\V2ARAPLY.obj : $(SRCPATH)\V2ARAPLY.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2ARARPL.obj : $(SRCPATH)\V2ARARPL.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2ARBFIL.obj : $(SRCPATH)\V2ARBFIL.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2ARELLI.obj : $(SRCPATH)\V2ARELLI.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2AREPIE.obj : $(SRCPATH)\V2AREPIE.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2ARESEG.obj : $(SRCPATH)\V2ARESEG.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2ARFFIL.obj : $(SRCPATH)\V2ARFFIL.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2ARRECT.obj : $(SRCPATH)\V2ARRECT.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2ARRREC.obj : $(SRCPATH)\V2ARRREC.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2ARWPLY.obj : $(SRCPATH)\V2ARWPLY.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2ARWRPL.obj : $(SRCPATH)\V2ARWRPL.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2GPMAP.obj  : $(SRCPATH)\V2GPMAP.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2GPMAPX.obj : $(SRCPATH)\V2GPMAPX.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2GPMAPY.obj : $(SRCPATH)\V2GPMAPY.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2GPSVWP.obj : $(SRCPATH)\V2GPSVWP.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2GPSWDW.obj : $(SRCPATH)\V2GPSWDW.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2GPUNMP.obj : $(SRCPATH)\V2GPUNMP.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2OLEARC.obj : $(SRCPATH)\V2OLEARC.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2OLELLI.obj : $(SRCPATH)\V2OLELLI.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2OLEPIE.obj : $(SRCPATH)\V2OLEPIE.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2OLESEG.obj : $(SRCPATH)\V2OLESEG.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2OLHPEA.obj : $(SRCPATH)\V2OLHPEA.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2OLLNTO.obj : $(SRCPATH)\V2OLLNTO.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2OLMVTO.obj : $(SRCPATH)\V2OLMVTO.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2OLPLIN.obj : $(SRCPATH)\V2OLPLIN.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2OLPLYG.obj : $(SRCPATH)\V2OLPLYG.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2OLPT.obj   : $(SRCPATH)\V2OLPT.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2OLRECT.obj : $(SRCPATH)\V2OLRECT.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2OLRLNT.obj : $(SRCPATH)\V2OLRLNT.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2OLRMVT.obj : $(SRCPATH)\V2OLRMVT.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2OLRPLI.obj : $(SRCPATH)\V2OLRPLI.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2OLRPLY.obj : $(SRCPATH)\V2OLRPLY.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2OLRREC.obj : $(SRCPATH)\V2OLRREC.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2OLSW.obj   : $(SRCPATH)\V2OLSW.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2TXBSTR.obj : $(SRCPATH)\V2TXBSTR.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

$(OBJ)\V2TXSTRI.obj : $(SRCPATH)\V2TXSTRI.c
	$(CC) $(CFLAGS) /Fo$(OBJ)\$*.obj $(SRCPATH)\$*.c
	$(LIB) $(LFLAGS) $(LIBPATH)\$(LIBNAME).lib -+$(OBJ)\$*.obj,,;

