#
# makefile to build the im-1280 C-binding libraries under Turbo C++ 1.0
#
# library made : image processing , im_l.lib

# Path for the destination library
LIBPATH= ..\..\library\tcpp

# Path for the sources
.PATH.c = ..\..\process

# Path for the include files
INC = ..\..\include

# Path for object files
.PATH.obj = ..\..\obj\tcpp\process

# librarie name
LIBNAME = im_l

# C compiler
CC = tcc

# C compiler flags
CFLAGS = -c -1 -ml -K -ff- -I$(INC) 

# librarian
LIB = tlib

# librarian flags
LFLAGS =

# implicit rules
.c.obj:
	$(CC) $(CFLAGS) -o$(.PATH.obj)\$& $<
	$(LIB) $(LIBPATH)\$(LIBNAME).lib $(LFLAGS) -+$(.PATH.obj)\$&

# objects for the image processing library
IMOBJ = alumap.obj \
       	cclutext.obj \
       	cclutsta.obj \
       	cmccitt3.obj \
       	cntsetdo.obj \
       	cocv555.obj \
       	cocvgrey.obj \
       	codist.obj \
       	cohsigra.obj \
       	dcccitt3.obj \
       	dchlfct.obj \
       	dcldvid.obj \
       	dfker.obj \
       	dfmker.obj \
       	dfmstruc.obj \
       	dfstruct.obj \
       	digrab.obj \
       	dildlcam.obj \
       	dimgrab.obj \
       	dislbrd.obj \
       	dislchan.obj \
       	dislgain.obj \
       	dislpal.obj \
       	disngrab.obj \
       	distbrit.obj \
       	distclfm.obj \
       	distcont.obj \
       	distcosp.obj \
       	distdbsc.obj \
       	distexp.obj \
       	disthpar.obj \
       	disthue.obj \
       	distrefb.obj \
       	distrefw.obj \
       	dlstruct.obj \
       	distsat.obj \
       	dlutmap.obj \
       	docmap.obj \
       	docompla.obj \
       	doconfig.obj \
       	doconv.obj \
       	docorner.obj \
       	dodist.obj \
       	doerodil.obj \
       	dofastth.obj \
       	doizoom.obj \
       	dolabel.obj \
       	domarker.obj \
       	domass.obj \
       	domatch.obj \
       	domconv.obj \
       	donpix.obj \
       	doper.obj \
       	dopoint.obj \
       	dorank.obj \
       	dorcdil.obj \
       	dornoise.obj \
       	dospix.obj \
       	dothick.obj \
       	dozone.obj \
       	dsatfilt.obj \
       	fastcen.obj \
       	fbcpbtob.obj \
       	fbcpbtod.obj \
       	gnluttra.obj \
       	gnthinlu.obj \
       	greythin.obj \
        gspfct.obj \
       	gtfbstat.obj \
       	iqstruct.obj \
       	lmhlfct.obj \
       	mul16.obj \
       	pcbinze.obj \
       	pcfborg.obj \
       	pcformat.obj \
       	pciqsys.obj \
       	pciqusr.obj \
        pccllst.obj \
        pccrlst.obj \
        pcexelst.obj \
        pcrmlst.obj \
        pcsccond.obj \
        pcscpag.obj \
        pcsctag.obj \
       	pcslcam.obj \
       	pcslproc.obj \
       	pcslsync.obj \
       	pcstcond.obj \
       	pcstdir.obj \
       	pcstkcen.obj \
       	pcstlatt.obj \
       	pcstmsk.obj \
       	pcstooi.obj \
       	pcstover.obj \
       	pcstroi.obj \
       	pcstssp.obj \
       	rcerodil.obj \
       	recthin.obj \
       	solutmap.obj \
       	stcchist.obj \
       	stccprof.obj \
       	stecount.obj \
       	stfbstat.obj \
       	stldlut.obj \
       	tfilter.obj \
       	thresh.obj \
       	utcmlut.obj \
       	utgnglut.obj \
       	utlmfct.obj \
       	wlevel.obj \
       	wtsum.obj

# make the image processing library
$(LIBPATH)\(LIBNAME).lib : $(IMOBJ)

