#
# makefile to build the im-1280 C-binding libraries under Turbo C++ 1.0
#
# library made : image graphics , ls_l.lib

# Path for the destination library
LIBPATH= ..\..\library\tcpp

# Path for the sources
.PATH.c = ..\..\graphics\kr

# Path for the include files
INC = ..\..\include

# Path for object files
.PATH.obj = ..\..\obj\tcpp\graphics\kr

# librarie name
LIBNAME = ls_l

# C compiler
CC = tcc

# C compiler flags
CFLAGS = -c -1 -ml -K -ff- -I$(INC) 

# librarian
LIB = tlib

# librarian flags
LFLAGS =

# implicit rules
.c.obj:
	$(CC) $(CFLAGS) -o$(.PATH.obj)\$& $<
	$(LIB) $(LIBPATH)\$(LIBNAME).lib $(LFLAGS) -+$(.PATH.obj)\$&

# objects for the image graphics library
KROBJ = krgcdi.obj \
       	krgcen.obj \
       	krgcfr.obj \
       	krgcmv.obj \
       	krgcsda.obj \
       	krgcsdm.obj \
       	krhwcclr.obj \
       	krhwcprs.obj \
       	krhwcpss.obj \
       	krhwcpxm.obj \
       	krhwcpym.obj \
       	krhwfbor.obj \
       	krhwfclr.obj \
       	krhwgcls.obj \
       	krhwgpix.obj \
       	krhwlclr.obj \
       	krhwrclr.obj \
       	krhwrcls.obj \
       	krhwsbco.obj \
       	krhwsbop.obj \
       	krhwscli.obj \
       	krhwsclr.obj \
       	krhwscls.obj \
       	krhwsdir.obj \
       	krhwsfco.obj \
       	krhwsils.obj \
       	krhwsmsk.obj \
       	krhwspix.obj \
       	krhwssco.obj \
       	krhwssms.obj \
       	krhwstde.obj \
       	krhwsurf.obj \
       	krhwszp.obj \
       	krhwubps.obj \
       	krhwufps.obj \
       	krhwwbps.obj \
       	krhwwfps.obj \
       	kriossmo.obj \
        tfill.obj \
        tmove.obj

# make the image graphics library
$(LIBPATH)\$(LIBNAME).lib : $(KROBJ)
