#
# makefile to build the im-1280 C-binding libraries under Turbo C++ 1.0
#
# library made : image graphics , ls_l.lib

# Path for the destination library
LIBPATH= ..\..\library\tcpp

# Path for the sources
.PATH.c = ..\..\graphics\v2

# Path for the include files
INC = ..\..\include

# Path for object files
.PATH.obj = ..\..\obj\tcpp\graphics\v2

# librarie name
LIBNAME = ls_l

# C compiler
CC = tcc

# C compiler flags
CFLAGS = -c -1 -ml -K -ff- -I$(INC) 

# librarian
LIB = tlib

# librarian flags
LFLAGS =

# implicit rules
.c.obj:
	$(CC) $(CFLAGS) -o$(.PATH.obj)\$& $<
	$(LIB) $(LIBPATH)\$(LIBNAME).lib $(LFLAGS) -+$(.PATH.obj)\$&

# objects for the image graphics library
V2OBJ = v2araply.obj \
       	v2ararpl.obj \
       	v2arbfil.obj \
       	v2arelli.obj \
       	v2arepie.obj \
       	v2areseg.obj \
       	v2arffil.obj \
       	v2arrect.obj \
       	v2arrrec.obj \
       	v2arwply.obj \
       	v2arwrpl.obj \
       	v2gpmap.obj \
       	v2gpmapx.obj \
       	v2gpmapy.obj \
       	v2gpsvwp.obj \
       	v2gpswdw.obj \
       	v2gpunmp.obj \
       	v2olearc.obj \
       	v2olelli.obj \
       	v2olepie.obj \
       	v2oleseg.obj \
       	v2olhpea.obj \
       	v2ollnto.obj \
       	v2olmvto.obj \
       	v2olplin.obj \
       	v2olplyg.obj \
       	v2olpt.obj \
       	v2olrect.obj \
       	v2olrlnt.obj \
       	v2olrmvt.obj \
       	v2olrpli.obj \
       	v2olrply.obj \
       	v2olrrec.obj \
       	v2olsw.obj \
       	v2txbstr.obj \
       	v2txstri.obj

# make the image graphics library
$(LIBPATH)\$(LIBNAME).lib : $(V2OBJ)

